#!/usr/bin/perl

my @tests;

# Get the test names from the source file

open(IN, 'tests.c') or die;

while (<IN>) {
    if (/^TEST\s+(void|int|vars_t\*)\s+(test_[a-z0-9_]+)\(/) {
        push @tests, "\"$2\"";
    }
}

close(IN);

push @tests, 'NULL';

# Create output file

open(OUT, '>tests.list');

print OUT join(",\n", @tests);

close(OUT);
